Skip to content

Update Vendor Audience Config by Vendor ID

Request

Updates a vendor audience configuration by vendor ID. Only accessible to global admins.

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
vendor_idinteger, (int32)required

Numeric ID of the vendor

Bodyapplication/jsonrequired
bidder_codestring^[A-Za-z]{2}$

Must be exactly 2 alphabetic characters

default_revenue_sharenumber, (double), [ 0 .. 100 ]

Decimal value for the default revenue share

creation_limitinteger, (int32), >= 1

Positive integer value for the creation limit

enabledboolean
global_taxonomy_enabledboolean
POST
/vendor/{vendor_id}/audience_configs
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/vendor/{vendor_id}/audience_configs' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "bidder_code": "string",
    "default_revenue_share": 100,
    "creation_limit": 1,
    "enabled": true,
    "global_taxonomy_enabled": true
  }'

Responses

Vendor Audience Config response

Bodyapplication/json
dataobject
metaobject
Response
{ "data": { "vendor_id": 0, "organization_id": 0, "bidder_code": "string", "default_revenue_share": 0.1, "creation_limit": 0, "enabled": true, "global_taxonomy_enabled": true, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }, "meta": { "status": "string" } }